# GimpUi.IntStore

    const GimpUi = imports.gi.GimpUi;

    let intStore = new GimpUi.IntStore({
        user_data_type: value,
    });

A model for integer based name-value pairs (e.g. enums)

## Hierarchy

- GObject.Object
  - Gtk.ListStore
    - GimpUi.IntStore

## Constructors

- GimpUi.IntStore.new

## Static Functions

- GimpUi.IntStore.lookup_by_user_data
- GimpUi.IntStore.lookup_by_value

## Properties

- user-data-type